Duplicate Dataset
Endpoint used to duplicate a knowledge base.
Request Example
Section titled “Request Example”curl --request POST \ --url https://chat.api.toolzz.com.br/api/v1/knowledge/duplicate/{id} \ --header 'Authorization: Bearer TOKEN_HERE'Response Example
Section titled “Response Example”{ "id": "<string>", "title": "<string>", "description": "<string>", "documentCount": 123, "wordCount": 123, "icon": "<string>", "status": 123, "isActivated": true}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
Body Parameters
Section titled “Body Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
name | String | Knowledge base identification name. | Yes |
description | String | Brief description about the purpose or content of the base. | Yes |
unityId | UUID | Owning organizational unit identifier. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
id | UUID | Unique identifier of the generated knowledge base. |
title | String | Base title (equivalent to the sent name). |
description | String | Knowledge base description recorded in the system. |
documentCount | Number | Quantity of processed documents (starts at 0). |
wordCount | Number | Total words extracted from the documents (starts at 0). |
icon | String | Reference to the visual icon of the base. |
status | Number | Current status code (e.g., 1 for Active/Processed). |
isActivated | Boolean | Indicates if the base is ready and enabled for use. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
